### Function

# Phosh CallsDBusObjectManagerClient get_proxy_type

#### Declaration [src]

    GType
    phosh_calls_dbus_object_manager_client_get_proxy_type (
      GDBusObjectManagerClient* manager,
      const gchar* object_path,
      const gchar* interface_name,
      gpointer user_data
    )

#### Description [src]

A `GDBusProxyTypeFunc` that maps `interface_name` to the generated `GDBusObjectProxy` derived and `GDBusProxy` derived types.

#### Parameters

`manager`

  Type: `GDBusObjectManagerClient`

  A `GDBusObjectManagerClient`.

  The data is owned by the caller of the function.

`object_path`

  Type: `const gchar*`

  The object path of the remote object (unused).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`interface_name`

  Type: `const gchar*`

  Interface name of the remote object or `NULL` to get the object proxy `GType`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User data (unused).

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GType`

A `GDBusProxy` derived `GType` if `interface_name` is not `NULL`, otherwise the `GType` for `PhoshCallsDBusObjectProxy`.